Update a Specific Hive by ID
curl --request PUT \
--url https://api.trata.ai/v1/hives/{hive_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"files": [
{
"id": "<string>",
"orgId": "<string>",
"fileName": "<string>",
"fileUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hiveProps": {},
"internalProps": {}
}
'import requests
url = "https://api.trata.ai/v1/hives/{hive_id}"
payload = {
"url": "<string>",
"files": [
{
"id": "<string>",
"orgId": "<string>",
"fileName": "<string>",
"fileUrl": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hiveProps": {},
"internalProps": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
files: [
{
id: '<string>',
orgId: '<string>',
fileName: '<string>',
fileUrl: '<string>',
createdBy: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
}
],
hiveProps: {},
internalProps: {}
})
};
fetch('https://api.trata.ai/v1/hives/{hive_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "hiv.1727418138.IPGwVl1f",
"orgId": "org.1726902940.GZChqlpU",
"content": {
"hiveType": "WEBSITE",
"url": "https://www.cotekoreansteakhouse.com/",
"hiveProps": {
"crawl_child_pages": true
}
},
"status": "completed",
"createdBy": "org.1726902940.GZChqlpU",
"createdAt": "2024-09-27T06:22:18.000277",
"updatedBy": "trata-system",
"updatedAt": "2024-09-27T06:27:34.276065"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Hive
Update a Specific Hive by ID
Update a Specific Hive by ID
PUT
/
v1
/
hives
/
{hive_id}
Update a Specific Hive by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the hive
Body
application/json
Available options:
WEBSITE, GOOGLE_DOCS, DOCS, TRANSCRIPTS URL of the content
Required string length:
1 - 512List of files to be referenced for the hive
Show child attributes
Show child attributes
To recursively crawl child pages, add this as props {"crawl_child_pages": true}, "depth": "3"
To add any internal props, add this as props {"last_crawl_time": "123123123123"}
⌘I
